חובבי הלינוקס ו-Command Line – התעוררו

בקהילת הקוד הפתוח ובלינוקס בכלל יש מספיק אנשים שלא סובלים את גוגל מכל מיני סיבות, חלקן (לדעתי) ענייניות וחלקן ילדותיות, וככה זה בחיים: אין שום מצב שכולם יאהבו אותך

אבל אם יש חברה אחת שמפתחיה מכירים לינוקס מאוד טוב ולא רק שהם מכירים אלא משתמשים בכך יום יום, זה גוגל, הרבה יותר מכל חברה אחרת (מבחינת קנה מידה כמובן). גוגל כמובן משתמשים בלינוקס כמעט עבור כל דבר שם: מראוטרים ועד שרתים, שרותים שהחברה נותנת, פרסומות, יוטיוב, ה-כ-ל רץ על לינוקס והחברה לא הולכת לשנות כיוון.

מכיוון שהמפתחים שם משתמשים כל הזמן בלינוקס, החליטו 2 מפתחים להרים פרוייקט חדש שיכול מאוד לעניין את חובבי ה-Command Line בינינו ושמשתמשים בשרותי גוגל השונים:

הפרוייקט נקרא: GoogleCL

מה הפרויקט הזה נותן? משהו פשוט: גישה לרוב השרותים שגוגל נותנת דרך ה-command line. אתה יכול להוסיף פגישה ביומן, להעלות פוסט לבלוג, להעלות וידאו ליוטיוב והכל ישירות משורת הפקודות ב-Shell שלך, מה שאומר שאפשר לשלב זאת בסקריפטים, כך לדוגמא אם יש לך ערוץ וידאו ביוטיוב ובדיוק סיים העורך לערוך קובץ בעורך וידאו, תוכל לבקש ממנו לשים את הקובץ המוגמר בתיקיה כלשהי וסקריפט שלך יסרוק את התיקיה ובפקודה אחת יעלה את הוידאו. רוצה לראות איזה פגישות מחכות לך ליום יומיים הקרובים? פקודה אחת והכל מופיע לפניך, ויש תיעוד לכל הפקודות והפרמטרים כמובן.

כפי שידוע לחלק מהאנשים, בגוגל לא אוהבים כל כך רד-האט/פדורה ודברים מעין אלו אלא דביאן ואובונטו, כך שההוראות להתקנה שם הם רק לגבי ההפצות הנ"ל. מי שרוצה להשתמש בהפצות מבוססות על RPM צריך לבצע את הפעולות הבאות:

  • אלו שמשתמשים בפדורה 12 ומעלה, או OpenSUSE או מנדרייק מהשנה האחרונה, יכול להתקין בעזרת הכלי האהוב עליו את python-gdata ולאחר מכן להוריד מהאתר בלינק למעלה את קובץ ה-tar.gz האחרון, לפתוח אותו ופשוט לעקוב אחר ההוראות בקובץ INSTALL
  • לאלו המשתמשים בהפצות היותר יציבות כמו CentOS או RHEL או SLED/SLES (של SuSE): יש צורך להתקין python 2.6 ולהתקין את gdata-python-client ואחריו את GoogleCL.

Comments

comments

5 תגובות בנושא “חובבי הלינוקס ו-Command Line – התעוררו

    • למה, למה לשנוא? אז הם אוהבים דביאן ואובונטו, כמו שהם אוהבים פייתון וג'אוה. מצד שני, כשיש להם חבילות רשמיות, הם מוציאים RPM גם למנדריבה, פדורה, SUSE וכו' בלי שום בעיה.

סגור לתגובות.